//
//  LogicOperator.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//
#import "LogicOperator.h"


@implementation LogicOperator

@synthesize id = _id;


-(id)initWithId:(NSString *)id_ {

	if ((self = [super init])) {
		_id = id_;
	}
	
	return self;
}


+(LogicOperator *)logicOperatorAnd {
	LogicOperator *logicOperator = [[LogicOperator alloc] initWithId:@"AND"];
	return logicOperator;
}
+(LogicOperator *)logicOperatorOr {
	LogicOperator *logicOperator = [[LogicOperator alloc] initWithId:@"OR"];
	return logicOperator;
}

@end
